<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$page                   = basename(__FILE__);
$project_properties     = session_get_project_properties();
$project_id				= $project_properties['project_id'];
$project_name           = $project_properties['project_name'];
$username				= session_get_username();

$s_properties 	= session_get_properties("requirements");
// No need to set a "requirement_id" here, because we want to create one!
// $s_req_id		= $s_properties['req_id'];


html_window_title();
html_print_body();
html_page_title($project_name ." - ". lang_get('req_add_page'));
html_page_header( $db, $project_name );
html_print_menu();

requirement_menu_print($page);

error_report_check( $_GET );

print"<br>\n";

print"<div align=center>\n";
print"<form enctype=\"multipart/form-data\" name=\"upload\" method=post action='requirement_add_action.php'>\n";
print"<input type=hidden name=MAX_FILE_SIZE  value=25000000>\n";
print"<input type=hidden name=req_record_or_file value=".$_GET["type"].">\n";

# requirement this new requirement is a child of
if( !empty($_GET["parent_req"]) ) {

	print"<input type=hidden name=parent_req value=".$_GET["parent_req"].">\n";
}

print"<input type=hidden name=req_author value=$username>\n";
print"<input type=hidden name=project_id value=$project_id>\n";

print"<span class='required'>*</span> <span class='print'>" . lang_get('must_complete_field') . "</span>\n";

print"<table class=width90>\n";
print"<tr>\n";
print"<td>\n";
print"<table class=inner>\n";
print"<tr>\n";
print"<td colspan=2><h4>". lang_get('new_version') ."</h4></td>\n";
print"</tr>\n";
print"<tr>\n";
print"<td class=center>\n";

# NAME
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_name') ." <span class='required'>*</span></td>\n";
print"<td class=form-data-l><input type=text name=req_name_required size=69 maxlength=255 value='".session_validate_form_get_field("req_name_required")."'></td>\n";

	# REQUIREMENT DETAIL
	print"<tr>\n";
	print"<td class='form-lbl-r' nowrap>". lang_get('detail') ." <span class='required'>*</span></td>\n";
	print"<td class='form-data-l'>\n";
	html_FCKeditor("req_detail_required", 600, 250,"");
	print"</td>\n";
	print"</tr>\n";
/*
# REASON FOR CHANGE
$reason_for_change = session_validate_form_get_field('req_reason_change', "", session_use_FCKeditor());
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_reason_change') ."</td>\n";
print"<td class=form-data-l>";
print"<textarea name=req_reason_change rows=5 cols=80 >$reason_for_change</textarea>";
print"</tr>\n";
*/
# VERSION
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('version') ."</td>\n";
print"<td class=form-data-l><input type=text name=req_version value='".session_validate_form_get_field('req_version', "1.0" )."' size=5 maxlength=10></td>\n";
print"</tr>\n";

# DOC TYPE
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_type') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name=req_type size=1>\n";
	$list_box = requirement_get_types($project_id, $blank=true);

	html_print_list_box_from_key_array(	$list_box,
										session_validate_form_get_field('req_type' ) );
print"</select>\n";
print"</td>\n";
print"</tr>\n";

# AREA COVERED
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_area') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name=req_area_covered size=1>\n";
	$list_box = array();

	$rows_areas = project_get_req_areas_covered($project_id);

	foreach($rows_areas as $row_area) {

		$list_box[$row_area[REQ_AREA_COVERAGE_ID]] = $row_area[REQ_AREA_COVERAGE];
	}
	$list_box[""] = "";

	html_print_list_box_from_key_array(	$list_box,
										session_validate_form_get_field('req_area') );
print"</select>\n";
print"</td>\n";
print"</tr>\n";


# STATUS
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_status') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name=req_status size=1>\n";
	$list_box = requirement_get_statuses();

	html_print_list_box_from_array(	$list_box,
									session_validate_form_get_field('req_status') );
print"</select>\n";
print"</td>\n";
print"</tr>\n";

# PRIORITY
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('req_priority') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name=req_priority size=1>\n";
	$list_box = requirement_get_priority();

	html_print_list_box_from_array(	$list_box,
									session_validate_form_get_field('req_priority') );
print"</select>\n";
print"</td>\n";
print"</tr>\n";

/*
# ASSIGNED TO
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('assigned_to') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name='req_assigned_to'>\n";

    $rows_users = user_get_usernames_by_project($project_id, true);

    html_print_list_box_from_array( $rows_users, session_validate_form_get_field('req_assigned_to') );

print"</select>\n";
print"</td>\n";
print"</tr>\n";
*/
/*
# ASSIGNED TO RELEASE
print"<tr>\n";
print"<td class=form-lbl-r nowrap>". lang_get('assigned_to_release') ."</td>\n";
print"<td class=form-data-l>\n";

print"<select name=req_assign_release size=1>\n";
	$list_box = array();

	$rows_rel = admin_get_releases($project_id);

	foreach($rows_rel as $row_rel) {

		$list_box[$row_rel[RELEASE_ID]] = $row_rel[RELEASE_NAME];
	}
	$list_box[""] = "";

	html_print_list_box_from_key_array(	$list_box,
								session_validate_form_get_field('assigned_release') );
print"</select>\n";
print"</td>\n";
print"</tr>\n";
      */
# FUNCTIONALITY
print"<tr>\n";
print"<td class=form-lbl-r valign=top nowrap>". lang_get('functionality') ."</td>\n";
print"<td class=form-data-l>\n";
print"<select name='req_functionality[]' size=6 multiple>\n";
	$list_box = array();

	$rows = project_get_req_functionality($project_id);

	foreach($rows as $row) {

		$list_box[$row[REQ_FUNCT_ID]] = $row[REQ_FUNCT_NAME];
	}

	html_print_list_box_from_key_array( $list_box, session_validate_form_get_field('req_functionality') );
	#html_print_list_box_from_key_array( $list_box );
print"</select>\n";
print"</td>\n";
print"</tr>\n";

# SUBMIT BUTTON
print"<tr>\n";
print"<td colspan='2' class=center>&nbsp;</td>\n";
print"</tr>\n";

print"<tr>\n";
print"<td colspan='2' class=center><input type='submit' value='". lang_get('create') ."'></td>\n";
print"</tr>\n";
print"</table>\n";

print"</td>\n";
print"</tr>\n";
print"</table>\n";
print"</form>\n";
print"</div>\n";

html_print_footer();
?>